import { EventEmitter, TemplateRef } from '@angular/core';
import { Icon } from "../../../../../enum/icon.enum";
import { IconCacheService } from "../../../../../service/icon-cache.service";
export declare class TransactionHeaderBlockComponent {
    iconCacheService: IconCacheService;
    headerBlockTemplate: TemplateRef<any>;
    firstBlockTemplate: TemplateRef<any>;
    secondBlockTemplate: TemplateRef<any>;
    thirdBlockTemplate: TemplateRef<any>;
    hiddenBlockTemplate: TemplateRef<any>;
    headerClick: EventEmitter<MouseEvent>;
    showClass(): boolean;
    handleHostClick(event: MouseEvent): void;
    readonly icons: typeof Icon;
    constructor(iconCacheService: IconCacheService);
    onHeaderClick(event: MouseEvent): void;
}
